#version 400

in vec3 Vertex;

in vec3 LightPosition;
in vec3 LightColor;
in float LightRadius;

uniform mat4 ModelViewProjectionMatrix;

out vec3 VLightPosition;
out vec3 VLightColor;
out float VLightRadius;

void main()
{
	VLightColor = LightColor;
	VLightPosition = LightPosition;
	VLightRadius = LightRadius;
	
	gl_Position = ModelViewProjectionMatrix * vec4(LightPosition + Vertex * LightRadius, 1.0);
}
