#version 400

in vec3 Vertex;

uniform float Scale;
uniform vec3 Position;

uniform mat4 ModelViewProjectionMatrix;

uniform vec4 ClipPlane = vec4(0.0, -1.0, 0.0, -5.0);

out vec3 VNormal;

void main()
{
	vec3 vertex = (Vertex * Scale) + Position;
	
	gl_ClipDistance[0] = 1.0; //dot(vertex, ClipPlane.xyz) + ClipPlane.w; // ?
	
	VNormal = normalize(vec3(Vertex.x, Vertex.y, -Vertex.z)); // ??? :-/
	
	gl_Position = ModelViewProjectionMatrix * vec4(vertex, 1.0);
}
